Bug 11708 - Display all basketgroups on one page, and new column aqbasketgroups.closeddate
Summary: Display all basketgroups on one page, and new column aqbasketgroups.closeddate
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11847 11870 11988 13614 16038 20373 20810
  Show dependency treegraph
 
Reported: 2014-02-07 10:34 UTC by Julian Maurice
Modified: 2018-06-12 18:45 UTC (History)
15 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11708: Add aqbasketgroups.closeddate (3.42 KB, patch)
2014-02-07 10:35 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.24 KB, patch)
2014-02-07 10:35 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.92 KB, patch)
2014-02-07 10:35 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.48 KB, patch)
2014-03-10 13:25 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.32 KB, patch)
2014-03-10 13:25 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.98 KB, patch)
2014-03-10 13:25 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.38 KB, patch)
2014-06-16 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.24 KB, patch)
2014-06-16 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.92 KB, patch)
2014-06-16 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.18 KB, patch)
2014-06-16 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.87 KB, patch)
2014-06-16 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.38 KB, patch)
2014-09-01 09:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.29 KB, patch)
2014-09-01 09:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.94 KB, patch)
2014-09-01 09:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.17 KB, patch)
2014-09-01 09:58 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.84 KB, patch)
2014-09-01 09:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.41 KB, patch)
2014-09-11 13:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.29 KB, patch)
2014-09-11 13:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.94 KB, patch)
2014-09-11 13:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.17 KB, patch)
2014-09-11 13:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.84 KB, patch)
2014-09-11 13:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.41 KB, patch)
2014-09-11 14:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.29 KB, patch)
2014-09-11 14:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.94 KB, patch)
2014-09-11 14:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.17 KB, patch)
2014-09-11 14:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.84 KB, patch)
2014-09-11 14:23 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.43 KB, patch)
2014-09-11 14:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.30 KB, patch)
2014-09-11 14:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.97 KB, patch)
2014-09-11 14:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.17 KB, patch)
2014-09-11 14:31 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.86 KB, patch)
2014-09-11 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.91 KB, patch)
2014-09-18 12:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.17 KB, patch)
2014-09-18 12:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.86 KB, patch)
2014-09-18 12:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.80 KB, patch)
2014-09-18 12:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.60 KB, patch)
2014-09-19 16:29 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.43 KB, patch)
2014-09-19 16:30 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (28.39 KB, patch)
2014-09-19 16:30 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.27 KB, patch)
2014-09-19 16:31 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (7.04 KB, patch)
2014-09-19 16:31 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.97 KB, patch)
2014-09-19 16:32 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.43 KB, patch)
2014-10-29 13:25 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.30 KB, patch)
2014-10-29 13:25 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.93 KB, patch)
2014-10-29 13:25 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.18 KB, patch)
2014-10-29 13:25 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.86 KB, patch)
2014-10-29 13:26 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.86 KB, patch)
2014-10-29 13:26 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.43 KB, patch)
2014-11-06 14:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.30 KB, patch)
2014-11-06 14:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.96 KB, patch)
2014-11-06 14:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.18 KB, patch)
2014-11-06 14:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.89 KB, patch)
2014-11-06 14:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.86 KB, patch)
2014-11-06 14:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.43 KB, patch)
2015-01-05 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.30 KB, patch)
2015-01-05 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.61 KB, patch)
2015-01-05 09:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.18 KB, patch)
2015-01-05 09:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.89 KB, patch)
2015-01-05 09:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.86 KB, patch)
2015-01-05 09:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Fix bad resolution conflict with bug 12896 (864 bytes, patch)
2015-01-06 08:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.43 KB, patch)
2015-02-09 14:40 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.30 KB, patch)
2015-02-09 14:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.70 KB, patch)
2015-02-09 14:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.28 KB, patch)
2015-02-09 14:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.89 KB, patch)
2015-02-09 14:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.86 KB, patch)
2015-02-09 14:41 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Fix bad resolution conflict with bug 12896 (864 bytes, patch)
2015-02-09 14:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add descriptions in unit tests (2.87 KB, patch)
2015-02-09 15:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (4.88 KB, patch)
2015-02-09 15:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.60 KB, patch)
2015-02-17 14:44 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.43 KB, patch)
2015-02-17 14:45 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (28.17 KB, patch)
2015-02-17 14:45 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.38 KB, patch)
2015-02-17 14:46 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (7.07 KB, patch)
2015-02-17 14:46 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.97 KB, patch)
2015-02-17 14:46 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Fix bad resolution conflict with bug 12896 (955 bytes, patch)
2015-02-17 14:47 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Add descriptions in unit tests (3.00 KB, patch)
2015-02-17 14:47 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.07 KB, patch)
2015-02-17 14:48 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.47 KB, patch)
2015-06-18 09:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.35 KB, patch)
2015-06-18 09:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.75 KB, patch)
2015-06-18 09:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: explicitly remove pagination (1.34 KB, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: All basketgroups on one page - several fixes (6.32 KB, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Remove the amount columns (6.86 KB, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Fix bad resolution conflict with bug 12896 (921 bytes, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Add descriptions in unit tests (2.93 KB, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (4.76 KB, patch)
2015-06-18 09:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
[Follow-up] Bug 11708 - Fix QA failures: (2.36 KB, patch)
2015-06-18 10:27 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.46 KB, patch)
2016-03-11 09:07 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2016-03-11 09:07 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (26.60 KB, patch)
2016-03-11 09:07 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.45 KB, patch)
2016-03-11 09:07 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.54 KB, patch)
2016-03-11 09:08 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.46 KB, patch)
2016-06-15 11:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2016-06-15 11:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.58 KB, patch)
2016-06-15 11:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.45 KB, patch)
2016-06-15 11:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.54 KB, patch)
2016-06-15 11:36 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (83.54 KB, patch)
2016-09-07 10:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.19 KB, patch)
2016-09-07 10:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.29 KB, patch)
2016-09-07 10:12 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.46 KB, patch)
2017-01-10 18:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2017-01-10 18:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.57 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.45 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.54 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (80.57 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.19 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.29 KB, patch)
2017-01-10 18:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (44.83 KB, patch)
2017-01-10 18:40 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.48 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.61 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.47 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.55 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (80.77 KB, patch)
2017-01-20 09:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.20 KB, patch)
2017-01-20 09:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.30 KB, patch)
2017-01-20 09:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (45.00 KB, patch)
2017-01-20 09:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.48 KB, patch)
2017-03-13 10:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2017-03-13 10:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.63 KB, patch)
2017-03-13 10:20 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.47 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.72 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (80.91 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.20 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.30 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (45.00 KB, patch)
2017-03-13 10:21 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.48 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.62 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.47 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.72 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (82.54 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.20 KB, patch)
2018-02-06 16:46 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.30 KB, patch)
2018-02-06 16:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.73 KB, patch)
2018-02-06 16:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.48 KB, patch)
2018-02-22 10:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.78 KB, patch)
2018-02-22 10:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.71 KB, patch)
2018-02-22 10:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.47 KB, patch)
2018-02-22 10:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.72 KB, patch)
2018-02-22 10:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (82.65 KB, patch)
2018-02-22 10:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.20 KB, patch)
2018-02-22 10:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.30 KB, patch)
2018-02-22 10:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.48 KB, patch)
2018-02-22 10:19 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.62 KB, patch)
2018-03-12 14:28 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.92 KB, patch)
2018-03-12 14:28 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.83 KB, patch)
2018-03-12 14:28 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.61 KB, patch)
2018-03-12 14:28 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.86 KB, patch)
2018-03-12 14:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (82.69 KB, patch)
2018-03-12 14:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.34 KB, patch)
2018-03-12 14:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.44 KB, patch)
2018-03-12 14:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.49 KB, patch)
2018-03-12 14:29 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.63 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.93 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.55 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.63 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.87 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (82.41 KB, patch)
2018-04-16 08:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.34 KB, patch)
2018-04-16 09:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.45 KB, patch)
2018-04-16 09:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.62 KB, patch)
2018-04-16 09:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Use Asset plugin in acqui/basketgroups.tt (1.33 KB, patch)
2018-04-16 09:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.63 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.93 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.55 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.63 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.87 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (83.96 KB, patch)
2018-04-17 07:42 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.34 KB, patch)
2018-04-17 07:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.45 KB, patch)
2018-04-17 07:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.62 KB, patch)
2018-04-17 07:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Use Asset plugin in acqui/basketgroups.tt (1.33 KB, patch)
2018-04-17 07:43 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Add aqbasketgroups.closeddate (3.63 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Unit tests for aqbasketgroups.closeddate (2.93 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers (27.55 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Remove column aqbasketgroups.closed (5.63 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Place "Basket groups" menu entry on top of the side navigation (1.87 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (83.97 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Replace 'ok' by 'is' where appropriate (2.34 KB, patch)
2018-04-17 14:51 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: UT: Use DateTime instead of localtime+sprintf (2.45 KB, patch)
2018-04-17 14:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace (28.62 KB, patch)
2018-04-17 14:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Use Asset plugin in acqui/basketgroups.tt (1.33 KB, patch)
2018-04-17 14:52 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Change aqbasketgroups.closed to closeddate (8.76 KB, patch)
2018-05-03 11:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (76.89 KB, patch)
2018-05-03 11:22 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: Change aqbasketgroups.closed to closeddate (8.76 KB, patch)
2018-06-08 08:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 11708: New page for basket groups (76.81 KB, patch)
2018-06-08 08:35 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2014-02-07 10:34:35 UTC

    
Comment 1 Julian Maurice 2014-02-07 10:35:27 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2014-02-07 10:35:31 UTC Comment hidden (obsolete)
Comment 3 Julian Maurice 2014-02-07 10:35:35 UTC Comment hidden (obsolete)
Comment 4 sandboxes@biblibre.com 2014-03-10 13:25:09 UTC
Patch tested with a sandbox, by juliette levast <juliette.levast@iepg.fr>
Comment 5 sandboxes@biblibre.com 2014-03-10 13:25:43 UTC Comment hidden (obsolete)
Comment 6 sandboxes@biblibre.com 2014-03-10 13:25:46 UTC Comment hidden (obsolete)
Comment 7 sandboxes@biblibre.com 2014-03-10 13:25:49 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2014-04-17 08:49:28 UTC
Looking at this now, mostly small things:

1) Change wording from "Basket grouping" to "Basket groups" to be more consistent
  with other pages in Koha and also match the navigation link.
2) When using the link in the navigation, you end up with the heading:
  Basket grouping for  (because no vendor was selected)
3) I am missing the vendor in the basket group table, I think the new view for
  all baskets would make more sense with it.
4) Use "Amount spent" instead of "Amount charged" - also to match other pages
5) Add correct bug number in database update

It's only small things, I think only 3) is a bit bigger - everything else looks ok so far.
Comment 9 Katrin Fischer 2014-04-17 08:52:56 UTC
Ah, something else.

6) Show "basket groups" link only if the user has "group_manage" permission.
Comment 10 mathieu saby 2014-04-17 10:26:09 UTC
I did not look at your code, but from the description, some features (adding closeddate) reminds me a patch I wrote some time ago, and which needs sign off: 
Bug 11438
If your patch is pushed first, I suppose mine will need a rebase. I mark it in "see also"

Mathieu
Comment 11 Katrin Fischer 2014-04-17 11:08:42 UTC
I was not sure which term would be better, so I asked:
(13:01:32) cait: i was wondering what's better: amount spent oder spent amount
(13:02:17) ashimema: british english... 'amount spent' sounds better to me
Comment 12 mathieu saby 2014-05-25 17:09:50 UTC
As I wrote, I made a patch adding the same feature (bug 11438). It does not apply, and I prefer not to rewrite it, but to wait for Jonathan's patches to be pushed.

I put here the differences between my patch and Jonathan ones. Maybe it can be useful for QA, maybe not...

Functionaly : 
My patch creates a field for closedate, but also an other for creationdate of the bg. I think it can be useful, but can be added in a 2d time after bug 11708 is pushed
In the templates, the 2 dates are displayed in
- in lists of opened/closed basketgroups
- in an individual basketgroup.

Internaly:
I named the new fields "bg_closedate" and "bg_creationdate", to be sure there won't be any conflict with fields present in other tables with ambiguous names like "closedate" or "creationdate"
I removed "closed" field, because I don't think it is needed anymore

And finally, updatedatabase.pl creates the 2 columns and removes closed column, but also populates the 2 new columns:
- bg_creationdate with the most recent closing date of the baskets included in each basketgroup
- bg_closingdate with NULL is the bg is open, or with the most recent closing date of the baskets included in each basketgroup


Mathieu
Comment 13 mathieu saby 2014-05-25 17:10:53 UTC
Oups, I made Jonathan the author of this patch, while it is Julian. Sorry for that.
Comment 14 Jonathan Druart 2014-05-28 10:10:12 UTC
Julian,
Please add this change:

    MT12443: explicitly remove pagination
    
    The use of columnfilter seems to keep the pagination even if the sDom is 't'.
    We want to remove the pagination here in order to show all data in the table.

    To reproduce:
    Add 10+ closed basketgroup and verify all are displayed.
    Without this patch, only the 10 first are displayed.

diff --git a/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt b/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
index 2d5715a..b3ec49d 100644
--- a/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
@@ -140,6 +140,7 @@ function submitForm(form) {
               { "aTargets": [ -1 ], "bSortable": false, "bSearchable": false },
           ],
           sDom: 't',
+          "bPaginate": false,
           "bAutoWidth": false
       } ))
       .columnFilter(column_filter_options);
Comment 15 Julian Maurice 2014-06-16 14:49:06 UTC Comment hidden (obsolete)
Comment 16 Julian Maurice 2014-06-16 14:49:15 UTC Comment hidden (obsolete)
Comment 17 Julian Maurice 2014-06-16 14:49:26 UTC Comment hidden (obsolete)
Comment 18 Julian Maurice 2014-06-16 14:49:38 UTC Comment hidden (obsolete)
Comment 19 Julian Maurice 2014-06-16 14:49:47 UTC Comment hidden (obsolete)
Comment 20 Julian Maurice 2014-06-16 14:52:16 UTC
(In reply to Katrin Fischer from comment #8)
> 3) I am missing the vendor in the basket group table, I think the new view
> for all baskets would make more sense with it.

I didn't added the vendor in tables because it is already displayed before each pair of tables ("Basket groups for <vendor>")
Comment 21 Katrin Fischer 2014-06-16 14:59:02 UTC
(In reply to Julian Maurice from comment #20)
> (In reply to Katrin Fischer from comment #8)
> > 3) I am missing the vendor in the basket group table, I think the new view
> > for all baskets would make more sense with it.
> 
> I didn't added the vendor in tables because it is already displayed before
> each pair of tables ("Basket groups for <vendor>")

Hi Julian, 

not sure, maybe I thought it would be one big table. Looking at the notes I think I had done a search without selecting any vendor:

>2) When using the link in the navigation, you end up with the heading:
>  Basket grouping for  (because no vendor was selected)
Comment 22 Paola Rossi 2014-08-06 08:59:18 UTC
I've tried to apply the patch against master 3.17.00.011

Applying: Bug 11708: Add aqbasketgroups.closeddate
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging C4/Acquisition.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 11708: Add aqbasketgroups.closeddate
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

So I pass the patch to "Patch doesn't apply" status.
Comment 23 Julian Maurice 2014-09-01 09:58:23 UTC Comment hidden (obsolete)
Comment 24 Julian Maurice 2014-09-01 09:58:33 UTC Comment hidden (obsolete)
Comment 25 Julian Maurice 2014-09-01 09:58:46 UTC Comment hidden (obsolete)
Comment 26 Julian Maurice 2014-09-01 09:58:56 UTC Comment hidden (obsolete)
Comment 27 Julian Maurice 2014-09-01 09:59:08 UTC Comment hidden (obsolete)
Comment 28 Alessandra Carassiti 2014-09-02 09:38:20 UTC
I tried to test this patch with the sandbox system, it does not work, here is the result & paste what is written: 'Some problems occurred applying patches from bug 11708:
<h1>Something went wrong !</h1>Applying: Bug 11708: Add aqbasketgroups.closeddate
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Warning: commit message does not conform to UTF-8.
You may want to amend it after fixing the message, or set the config
variable i18n.commitencoding to the encoding your project uses.
Applying: Bug 11708: Unit tests for aqbasketgroups.closeddate
Warning: commit message does not conform to UTF-8.
You may want to amend it after fixing the message, or set the config
variable i18n.commitencoding to the encoding your project uses.
Applying: Bug 11708: basketgroup.pl can now display basketgroups for all suppliers
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Renaming intranet-tmpl/prog/en/css/datatables.css => koha-tmpl/opac-tmpl/prog/en/css/datatables.css
Auto-merging koha-tmpl/opac-tmpl/prog/en/css/datatables.css
CONFLICT (rename/modify): Merge conflict in koha-tmpl/opac-tmpl/prog/en/css/datatables.css
Failed to merge in the changes.
Patch failed at 0001 Bug 11708: basketgroup.pl can now display basketgroups for all suppliers
When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 11708 - Display all basketgroups on one page, and new column aqbasketgroups.closeddate

31305 - Bug 11708: Add aqbasketgroups.closeddate
31306 - Bug 11708: Unit tests for aqbasketgroups.closeddate
31307 - Bug 11708: basketgroup.pl can now display basketgroups for all suppliers
31308 - Bug 11708: explicitly remove pagination
31309 - Bug 11708: All basketgroups on one page - several fixes

Apply? [(y)es, (n)o, (i)nteractive] Patch left in /tmp/Bug-11708-basketgrouppl-can-now-display-basketgrou-rdAn9M.patch .'
Comment 29 Julian Maurice 2014-09-11 13:42:54 UTC Comment hidden (obsolete)
Comment 30 Julian Maurice 2014-09-11 13:43:03 UTC Comment hidden (obsolete)
Comment 31 Julian Maurice 2014-09-11 13:43:17 UTC Comment hidden (obsolete)
Comment 32 Julian Maurice 2014-09-11 13:43:28 UTC Comment hidden (obsolete)
Comment 33 Julian Maurice 2014-09-11 13:43:39 UTC Comment hidden (obsolete)
Comment 34 Julian Maurice 2014-09-11 14:22:15 UTC Comment hidden (obsolete)
Comment 35 Julian Maurice 2014-09-11 14:22:24 UTC Comment hidden (obsolete)
Comment 36 Julian Maurice 2014-09-11 14:22:38 UTC Comment hidden (obsolete)
Comment 37 Julian Maurice 2014-09-11 14:22:50 UTC Comment hidden (obsolete)
Comment 38 Julian Maurice 2014-09-11 14:23:02 UTC Comment hidden (obsolete)
Comment 39 Julian Maurice 2014-09-11 14:31:16 UTC Comment hidden (obsolete)
Comment 40 Julian Maurice 2014-09-11 14:31:25 UTC Comment hidden (obsolete)
Comment 41 Julian Maurice 2014-09-11 14:31:36 UTC Comment hidden (obsolete)
Comment 42 Julian Maurice 2014-09-11 14:31:48 UTC Comment hidden (obsolete)
Comment 43 Julian Maurice 2014-09-11 14:32:03 UTC Comment hidden (obsolete)
Comment 44 Julian Maurice 2014-09-11 14:44:57 UTC
Ok, took me a while to figure out why these patches didn't apply well on sandbox.
I was using "diff.noprefix=true" git option, thinking it was just a cosmetic option, but it also generate patches that don't apply well with "git am".

The last patches should apply correctly everywhere now ;)
Comment 45 Paola Rossi 2014-09-17 14:24:53 UTC
Against master 3.17.00.023 I've applied the patch with git am (OK).

basketgroup = bg

I received an order, for a closed basket linked to closed bg. On the bg page, the "Amount ordered" of the bg remained the same, instead of decreasing of the total of the received order.
The meaning of "Amount ordered" being "left on order", I think this is an error.

[Otherwise, I beg your pardon and pray to turn back the status to "Needs signoff".]

So I pass the patch to "Failed QA" status.
Comment 46 Jonathan Druart 2014-09-18 12:06:46 UTC Comment hidden (obsolete)
Comment 47 Jonathan Druart 2014-09-18 12:07:00 UTC Comment hidden (obsolete)
Comment 48 Jonathan Druart 2014-09-18 12:07:09 UTC Comment hidden (obsolete)
Comment 49 Jonathan Druart 2014-09-18 12:07:15 UTC Comment hidden (obsolete)
Comment 50 Jonathan Druart 2014-09-18 12:08:15 UTC
(In reply to Paola Rossi from comment #45)
Paola, thanks for testing.
Please forget these 2 columns, I removed them in the last patch.
The calculation is wrong and should be managed after the vat rewrite.
Comment 51 Paola Rossi 2014-09-19 16:28:43 UTC
I've applied the patch against 3.17.00.025

The patches can be applied with the following note.

NB. The 5-th patch:
All basketgroups on one page - several fixes

changes updatadatabase.pl

So, upgrading the database has to be done after having applied the 5-th patch.
Otherwise, if database is upgraded soon after the 1-st patch, the 6-th patch can't be applied. That is the error:
Applying: Bug 11708: Remove the amount columns
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
Failed to merge in the changes.

------------------------------------------------------------------------------

So I pass the patch to "Signed Off" status.

------------------------------------------------------------------------------
Having no test plan, I've made some tests on basket groups and written the following notes. The first notes esplicitly relate to the new all bgs' page. 
IMO the 7-th and 8-th notes come straightforward using the basket groups. I invite to consider the 9-th note to define a better use (I can't suggest) for that option. In the case described in 10-th the name of the basket group is empty in the db, so perhaps the bug can be described better.
I beg your pardon if some of the following notes/errors are out of this patch. In any case I hope the following notes can help in QA.

basketgroup = bg 

1) On the page of all bgs, after having selected "Delete" action on a bg, the next page is not the current one; the next page is about only one vendor [he is the one whose bg I've asked to delete] and it is the bgs' page of the vendor selected on the closed bgs' tag (ERROR). I think that the next page should be on the open bgs, at least. 
The closed bgs are completely different from deleted bgs. Moveover no closed bg can be deleted. So the current next page after deleting bgs can be misleading, and is unfriendly.

2) Displaying all bgs on one page, the "Delete" action is shown for all the open bgs. But only bgs without baskets inside are really deleted.
So, the "Delete" action should not be shown [, or the delete should be done,] for open bgs with baskets inside.

3) On the page of all bgs, after having selected "Delete" action on a bg with baskets inside, now no message was shown if the bg is not deleted (see above, 2)).

4) : starting from a single vendor's bg, the behaviours described in 1), 2) and 3) are exactly the same. I beg your pardon if this point 4) is certainly out of this patch, but the problem is the same. 

5) : the 2) and 3) problems occurred also deleting from the tag "xDelete basket group" [shown at the top of a just reopened bg, "Edit"ing an open bg, ...].

6) On the all bgs page, I had a closed bg whose Billing place and Delivery place fields were none ("--"). I selected the "View" action of the bg: on the contrary the two fields were shown filled [with the current user's library]. This error occurred also: :
6b) on open bgs page, using "Edit" action in the all bgs page
6c) from the basket page, selecting the link to the linked closed bg
6d) editing a closed bg, using the "Reopen this bg" tag at the top of the page.
Perhaps the case of a closed bg with Billing place and Delivery place fields set to none might be prevented by koha at all. 

7) On the all baskets page, you can consider if the bg closeddate' column might be added. On the all baskets page, the "Bg" column is at the left of the column of the "Closed" date (which is the basket's close date). No basket can be attached to a bg before it (the basket) has been closed, so exchanging the two columns would be consistent with the sequence of events. If added, the bg's closeddate column would be the last column on the right before the actions' one.

8) On ACQ, I select a vendor. Under the right permission, in the "New" tag the Basketgroup option might be added to the current ones: Basket, Contract and Vendor. 

9) baskets can be homonymous; bgs can be homonymous too. Closing an open basket, the option "Attach this basket to a new basket group with the same name" can easely create homonymous bgs, adding new closed ones to already existent open and closed ones. 

10) For a vendor I created a new bg without filling the Basket group name. Then I selected a closed basket: but, using "Change bg" option, I saw an empty row added to the drop down list of the attachable bgs.

------------------------------------------------------------------------------
Comment 52 Paola Rossi 2014-09-19 16:29:45 UTC Comment hidden (obsolete)
Comment 53 Paola Rossi 2014-09-19 16:30:24 UTC Comment hidden (obsolete)
Comment 54 Paola Rossi 2014-09-19 16:30:54 UTC Comment hidden (obsolete)
Comment 55 Paola Rossi 2014-09-19 16:31:24 UTC Comment hidden (obsolete)
Comment 56 Paola Rossi 2014-09-19 16:31:56 UTC Comment hidden (obsolete)
Comment 57 Paola Rossi 2014-09-19 16:32:27 UTC Comment hidden (obsolete)
Comment 58 Katrin Fischer 2014-10-15 21:06:52 UTC
Hi Julian, could you please rebase? I have a conflict in one of the tt files that I am not sure about how to fix.
Comment 59 Julian Maurice 2014-10-29 13:25:10 UTC Comment hidden (obsolete)
Comment 60 Julian Maurice 2014-10-29 13:25:21 UTC Comment hidden (obsolete)
Comment 61 Julian Maurice 2014-10-29 13:25:34 UTC Comment hidden (obsolete)
Comment 62 Julian Maurice 2014-10-29 13:25:48 UTC Comment hidden (obsolete)
Comment 63 Julian Maurice 2014-10-29 13:26:03 UTC Comment hidden (obsolete)
Comment 64 Julian Maurice 2014-10-29 13:26:14 UTC Comment hidden (obsolete)
Comment 65 Katrin Fischer 2014-10-30 21:16:34 UTC
I am sorry Julian, I am having trouble with this... AGAIN. Patch 3 had a conflict, that I thought I fixed pretty well, but now patch 5 gives me trouble:

Applying: Bug 11708: All basketgroups on one page - several fixes
fatal: sha1 information is lacking or useless (installer/data/mysql/updatedatabase.pl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11708: All basketgroups on one page - several fixes
The copy of the patch that failed is found in:
   /home/katrin/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11708-All-basketgroups-on-one-page---several-f-dTc5Ih.patch

I am sorry :(
Comment 66 Julian Maurice 2014-11-06 14:19:41 UTC Comment hidden (obsolete)
Comment 67 Julian Maurice 2014-11-06 14:20:05 UTC Comment hidden (obsolete)
Comment 68 Julian Maurice 2014-11-06 14:20:49 UTC Comment hidden (obsolete)
Comment 69 Julian Maurice 2014-11-06 14:20:59 UTC Comment hidden (obsolete)
Comment 70 Julian Maurice 2014-11-06 14:21:10 UTC Comment hidden (obsolete)
Comment 71 Julian Maurice 2014-11-06 14:21:24 UTC Comment hidden (obsolete)
Comment 72 Julian Maurice 2014-11-06 14:26:32 UTC
There were a couple of conflicts about [% yuipath %] being removed in favor of [% interface %].
Oddly, I didn't had the same problem as you Katrin about the 5th patch
Comment 73 Katrin Fischer 2015-01-05 07:21:42 UTC
Working on this next.
Comment 74 Katrin Fischer 2015-01-05 07:23:40 UTC
Turns out I missed some of the conflicts when trying to resolve them - it's related to the push of the new Booksellers module from Jonathan. :( Julian, could you please rebase?
Comment 75 Jonathan Druart 2015-01-05 09:22:50 UTC Comment hidden (obsolete)
Comment 76 Jonathan Druart 2015-01-05 09:22:55 UTC Comment hidden (obsolete)
Comment 77 Jonathan Druart 2015-01-05 09:22:59 UTC Comment hidden (obsolete)
Comment 78 Jonathan Druart 2015-01-05 09:23:04 UTC Comment hidden (obsolete)
Comment 79 Jonathan Druart 2015-01-05 09:23:08 UTC Comment hidden (obsolete)
Comment 80 Jonathan Druart 2015-01-05 09:23:13 UTC Comment hidden (obsolete)
Comment 81 Jonathan Druart 2015-01-05 09:24:02 UTC
Conflicts with bug 12896 fixed.
Comment 82 Katrin Fischer 2015-01-05 09:26:28 UTC
Thx!
Comment 83 Katrin Fischer 2015-01-05 22:25:11 UTC
When trying to access the basket group page from the aquisition start page:

Software error:

Undefined subroutine &main::GetBookSeller called at /home/katrin/kohaclone/acqui/basketgroup.pl line 411.
Comment 84 Jonathan Druart 2015-01-06 08:28:49 UTC Comment hidden (obsolete)
Comment 85 Marcel de Rooy 2015-01-07 15:23:01 UTC
Having a look at this one now..
Comment 86 Marcel de Rooy 2015-01-07 15:33:31 UTC
QA Comment:

Passes qa tools.

Verified Basketgroups.t. 
This test does not contain any testnames in the calls to ok, is, etc. It is encouraged to do so. Could you please add?

Question: Do we still need the column closed, if you add a closeddate in aqbasketgroups?
Do we create redundancy? And what about confusion like: Hey closed=0 but there is a closeddate? 
Please convince me that we should have both columns.

[PATCH 6/7] Bug 11708: Remove the amount columns
Commit message says only: This should be managed in a specific bug.
Please explain.

Before continuing this QA session, I would appreciate feedback on the points listed. Thanks!
Comment 87 Katrin Fischer 2015-01-28 22:04:07 UTC
Patch doesn't apply currently. Please also take a loot at Marcel's questions in comment#86.
Comment 88 Julian Maurice 2015-02-09 14:40:52 UTC Comment hidden (obsolete)
Comment 89 Julian Maurice 2015-02-09 14:41:03 UTC Comment hidden (obsolete)
Comment 90 Julian Maurice 2015-02-09 14:41:16 UTC Comment hidden (obsolete)
Comment 91 Julian Maurice 2015-02-09 14:41:29 UTC Comment hidden (obsolete)
Comment 92 Julian Maurice 2015-02-09 14:41:40 UTC Comment hidden (obsolete)
Comment 93 Julian Maurice 2015-02-09 14:41:51 UTC Comment hidden (obsolete)
Comment 94 Julian Maurice 2015-02-09 14:42:01 UTC Comment hidden (obsolete)
Comment 95 Julian Maurice 2015-02-09 15:27:52 UTC Comment hidden (obsolete)
Comment 96 Julian Maurice 2015-02-09 15:27:56 UTC Comment hidden (obsolete)
Comment 97 Julian Maurice 2015-02-09 15:33:20 UTC
(In reply to M. de Rooy from comment #86)
> QA Comment:
> 
> Passes qa tools.
> 
> Verified Basketgroups.t. 
> This test does not contain any testnames in the calls to ok, is, etc. It is
> encouraged to do so. Could you please add?

Added by attachment 35755 [details] [review]

> 
> Question: Do we still need the column closed, if you add a closeddate in
> aqbasketgroups?
> Do we create redundancy? And what about confusion like: Hey closed=0 but
> there is a closeddate? 
> Please convince me that we should have both columns.

We probably don't need both.
Removed in attachment 35756 [details] [review]

> 
> [PATCH 6/7] Bug 11708: Remove the amount columns
> Commit message says only: This should be managed in a specific bug.
> Please explain.

The amount columns show wrong amounts (comment 45) so they are removed until a specific bug addresses this issue.
If you think it's better to keep them, we can remove this patch I think.
Comment 98 Paola Rossi 2015-02-17 14:44:38 UTC Comment hidden (obsolete)
Comment 99 Paola Rossi 2015-02-17 14:45:15 UTC Comment hidden (obsolete)
Comment 100 Paola Rossi 2015-02-17 14:45:42 UTC Comment hidden (obsolete)
Comment 101 Paola Rossi 2015-02-17 14:46:06 UTC Comment hidden (obsolete)
Comment 102 Paola Rossi 2015-02-17 14:46:33 UTC Comment hidden (obsolete)
Comment 103 Paola Rossi 2015-02-17 14:46:55 UTC Comment hidden (obsolete)
Comment 104 Paola Rossi 2015-02-17 14:47:24 UTC Comment hidden (obsolete)
Comment 105 Paola Rossi 2015-02-17 14:47:47 UTC Comment hidden (obsolete)
Comment 106 Paola Rossi 2015-02-17 14:48:15 UTC Comment hidden (obsolete)
Comment 107 Paola Rossi 2015-02-17 14:54:55 UTC
koha-pl is OK too.

>>koha-qa.pl -c 9 -v 2
testing 9 commit(s) (applied to 6b12857 'Bug 7741 [Follow-up] Clear search ter')
 
Processing files before patches
|========================>| 6 / 6 (100.00%)
Processing files after patches
|========================>| 6 / 6 (100.00%)
 
 OK     C4/Acquisition.pm
   OK     critic
   OK     forbidden patterns
   OK     pod
   OK     valid
 
 OK     installer/data/mysql/updatedatabase.pl
   OK     critic
   OK     forbidden patterns
   OK     pod
   OK     valid
 
 OK     t/db_dependent/Acquisition/Basketgroups.t
   OK     critic
   OK     forbidden patterns
   OK     pod
   OK     valid
 
 OK     acqui/basketgroup.pl
   OK     critic
   OK     forbidden patterns
   OK     pod
   OK     valid
 
 OK     koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
   OK     forbidden patterns
   OK     tt_valid
   OK     valid_template
 
 OK     koha-tmpl/intranet-tmpl/prog/en/includes/acquisitions-menu.inc
   OK     forbidden patterns
   OK     tt_valid
   OK     valid_template
Comment 108 Katrin Fischer 2015-03-22 23:02:31 UTC
Some first findings from the code review:

1) Database update removes closed column, but it's still in kohastructure.sql. 

2) I wonder if Basket groups should go first in the side navigation, as in the workflow the basket group happens before the orders are late or invoices can be done.

3) Why no paging on the basket groups datatable?

4) The database update statement is missing the version XXX - so it cannot be run from commandline.

Mostly small things, please fix.
Comment 109 Alex Arnaud 2015-06-18 09:17:47 UTC Comment hidden (obsolete)
Comment 110 Alex Arnaud 2015-06-18 09:17:52 UTC Comment hidden (obsolete)
Comment 111 Alex Arnaud 2015-06-18 09:17:57 UTC Comment hidden (obsolete)
Comment 112 Alex Arnaud 2015-06-18 09:18:03 UTC Comment hidden (obsolete)
Comment 113 Alex Arnaud 2015-06-18 09:18:08 UTC Comment hidden (obsolete)
Comment 114 Alex Arnaud 2015-06-18 09:18:13 UTC Comment hidden (obsolete)
Comment 115 Alex Arnaud 2015-06-18 09:18:19 UTC Comment hidden (obsolete)
Comment 116 Alex Arnaud 2015-06-18 09:18:29 UTC Comment hidden (obsolete)
Comment 117 Alex Arnaud 2015-06-18 09:18:35 UTC Comment hidden (obsolete)
Comment 118 Alex Arnaud 2015-06-18 09:23:27 UTC
Patches rebased and updated with use of atomic updates
Comment 119 Alex Arnaud 2015-06-18 10:27:34 UTC Comment hidden (obsolete)
Comment 120 Alex Arnaud 2015-06-18 10:35:45 UTC
(In reply to Katrin Fischer from comment #108)
> Some first findings from the code review:
Rebased/updated patch and last folow-up fix some of them:
 
> 1) Database update removes closed column, but it's still in
> kohastructure.sql. 
Fixed in followup
> 
> 2) I wonder if Basket groups should go first in the side navigation, as in
> the workflow the basket group happens before the orders are late or invoices
> can be done.
Done in the followup
> 
> 3) Why no paging on the basket groups datatable?
Jonathan tells it "conflict" with using columnfilter. I didn't manage to reproduce this. So i wonder if anyone already has this problem.
> 
> 4) The database update statement is missing the version XXX - so it cannot
> be run from commandline.
I updated the patches to replace statement in updatedatabase with atomic updates.
> 
> Mostly small things, please fix.
Comment 121 Josef Moravec 2016-02-17 10:07:15 UTC
Could you rebase please?
Comment 122 Julian Maurice 2016-03-11 09:07:24 UTC Comment hidden (obsolete)
Comment 123 Julian Maurice 2016-03-11 09:07:32 UTC Comment hidden (obsolete)
Comment 124 Julian Maurice 2016-03-11 09:07:50 UTC Comment hidden (obsolete)
Comment 125 Julian Maurice 2016-03-11 09:07:58 UTC Comment hidden (obsolete)
Comment 126 Julian Maurice 2016-03-11 09:08:07 UTC Comment hidden (obsolete)
Comment 127 Julian Maurice 2016-03-11 09:08:44 UTC
Patches squashed and rebased on master
Comment 128 Julian Maurice 2016-06-15 11:36:04 UTC Comment hidden (obsolete)
Comment 129 Julian Maurice 2016-06-15 11:36:10 UTC Comment hidden (obsolete)
Comment 130 Julian Maurice 2016-06-15 11:36:16 UTC Comment hidden (obsolete)
Comment 131 Julian Maurice 2016-06-15 11:36:21 UTC Comment hidden (obsolete)
Comment 132 Julian Maurice 2016-06-15 11:36:27 UTC Comment hidden (obsolete)
Comment 133 Julian Maurice 2016-06-15 11:37:11 UTC
Patches rebased on master
Comment 134 Jonathan Druart 2016-06-27 13:31:49 UTC
1/ There are still occurrences of 'aqbasketgroup.closed' in tests.
2/ Use is/isnt instead of ok
3/ Use Koha::DateUtils instead of sprintf in tests
Comment 135 Jonathan Druart 2016-06-27 13:48:26 UTC
I'd like to know if you plan to rebase bug 13371 one day.
Because it seems that what you try to achieve here is the same problematic as for the baskets search and it would make sense to have the same kind of view for both.
Comment 136 claire.hernandez@biblibre.com 2016-07-12 10:10:20 UTC
We plan to re-submit bug 13371 someday, yes. Thanks for the link.
Comment 137 Owen Leonard 2016-08-09 15:39:23 UTC
These patches still apply cleanly and the QA issues seem fairly minor. Can someone give it some attention?
Comment 138 Julian Maurice 2016-09-07 10:12:23 UTC Comment hidden (obsolete)
Comment 139 Julian Maurice 2016-09-07 10:12:29 UTC Comment hidden (obsolete)
Comment 140 Julian Maurice 2016-09-07 10:12:34 UTC Comment hidden (obsolete)
Comment 141 Julian Maurice 2016-09-07 10:18:07 UTC
(In reply to Jonathan Druart from comment #134)
> 1/ There are still occurrences of 'aqbasketgroup.closed' in tests.

These are not references to the deleted SQL column, it's a hash key that is set by GetBasketgroup and GetBasketgroups (depending on the value of closeddate), and it's also understood by NewBasketgroup and ModBasketgroup (to set closeddate correctly).
Not essential, but not harmful either IMO
Comment 142 Jonathan Druart 2016-09-07 10:51:48 UTC
Julian,
We have a problem here, you added Koha::Bookseller and Koha::Order, but we already have Koha::Acquisition::Bookseller and Koha::Acquisition::Order.
They are not based on Koha::Object because they have been pushed before its introduction, but bug 13726 already does this job.
Comment 143 Julian Maurice 2016-09-07 11:51:19 UTC
Ok, I can rewrite these patches on top of bug 13726.
The downside of this is that this bug will be indirectly dependent on the VAT-rewrite stuff (bug 13323 and bug 13321) for no real reason.
Do you have an idea to avoid that ?
Comment 144 Julian Maurice 2017-01-10 18:38:41 UTC Comment hidden (obsolete)
Comment 145 Julian Maurice 2017-01-10 18:38:52 UTC Comment hidden (obsolete)
Comment 146 Julian Maurice 2017-01-10 18:39:03 UTC Comment hidden (obsolete)
Comment 147 Julian Maurice 2017-01-10 18:39:13 UTC Comment hidden (obsolete)
Comment 148 Julian Maurice 2017-01-10 18:39:24 UTC Comment hidden (obsolete)
Comment 149 Julian Maurice 2017-01-10 18:39:38 UTC Comment hidden (obsolete)
Comment 150 Julian Maurice 2017-01-10 18:39:51 UTC Comment hidden (obsolete)
Comment 151 Julian Maurice 2017-01-10 18:39:58 UTC Comment hidden (obsolete)
Comment 152 Julian Maurice 2017-01-10 18:40:09 UTC Comment hidden (obsolete)
Comment 153 Aleisha Amohia 2017-01-19 20:56:26 UTC
Patch does not apply
Applying: Bug 11708: Add aqbasketgroups.closeddate
Applying: Bug 11708: Unit tests for aqbasketgroups.closeddate
Applying: Bug 11708: basketgroup.pl can now display basketgroups for all suppliers
Using index info to reconstruct a base tree...
M	acqui/basketgroup.pl
M	koha-tmpl/intranet-tmpl/prog/css/datatables.css
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
Comment 154 Julian Maurice 2017-01-20 09:20:26 UTC Comment hidden (obsolete)
Comment 155 Julian Maurice 2017-01-20 09:20:33 UTC Comment hidden (obsolete)
Comment 156 Julian Maurice 2017-01-20 09:20:40 UTC Comment hidden (obsolete)
Comment 157 Julian Maurice 2017-01-20 09:20:46 UTC Comment hidden (obsolete)
Comment 158 Julian Maurice 2017-01-20 09:20:52 UTC Comment hidden (obsolete)
Comment 159 Julian Maurice 2017-01-20 09:20:59 UTC Comment hidden (obsolete)
Comment 160 Julian Maurice 2017-01-20 09:21:07 UTC Comment hidden (obsolete)
Comment 161 Julian Maurice 2017-01-20 09:21:14 UTC Comment hidden (obsolete)
Comment 162 Julian Maurice 2017-01-20 09:21:21 UTC Comment hidden (obsolete)
Comment 163 Julian Maurice 2017-03-13 10:20:47 UTC Comment hidden (obsolete)
Comment 164 Julian Maurice 2017-03-13 10:20:52 UTC Comment hidden (obsolete)
Comment 165 Julian Maurice 2017-03-13 10:20:58 UTC Comment hidden (obsolete)
Comment 166 Julian Maurice 2017-03-13 10:21:04 UTC Comment hidden (obsolete)
Comment 167 Julian Maurice 2017-03-13 10:21:09 UTC Comment hidden (obsolete)
Comment 168 Julian Maurice 2017-03-13 10:21:16 UTC Comment hidden (obsolete)
Comment 169 Julian Maurice 2017-03-13 10:21:22 UTC Comment hidden (obsolete)
Comment 170 Julian Maurice 2017-03-13 10:21:27 UTC Comment hidden (obsolete)
Comment 171 Julian Maurice 2017-03-13 10:21:33 UTC Comment hidden (obsolete)
Comment 172 julien.comte 2017-03-20 15:43:48 UTC
Hi,

while trying to record an acquisition, I got this error (URL:http://pro.user14-koha.sandbox.biblibre.eu/cgi-bin/koha/acqui/addorder.pl) :

Software error:

DBIx::Class::Row::store_column(): No such column 'field_value' on Koha::Schema::Result::Aqorder at /home/koha/src/Koha/Object.pm line 72

For help, please send mail to the webmaster ([no address given]), giving this error message and the time and date of the error. 

http://pro.user14-koha.sandbox.biblibre.eu/cgi-bin/koha/acqui/addorder.pl
Comment 173 Julian Maurice 2018-02-06 16:46:17 UTC
Created attachment 71260 [details] [review]
Bug 11708: Add aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: Use atomic update
Comment 174 Julian Maurice 2018-02-06 16:46:23 UTC
Created attachment 71261 [details] [review]
Bug 11708: Unit tests for aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Comment 175 Julian Maurice 2018-02-06 16:46:29 UTC
Created attachment 71262 [details] [review]
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers

This happens when no booksellerid is given.
This patch also adds 4 columns:
- No. of ordered titles
- No. of received titles
- Ordered amount
- Charged amount (amount of received orders)

Add filters to basketgroup tables columns
Show closed date in closed basketgroups tables

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Comment 176 Julian Maurice 2018-02-06 16:46:37 UTC
Created attachment 71263 [details] [review]
Bug 11708: Remove column aqbasketgroups.closed

It is redundant with aqbasketgroups.closeddate

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: use atomic update
Comment 177 Julian Maurice 2018-02-06 16:46:43 UTC
Created attachment 71264 [details] [review]
Bug 11708: Place "Basket groups" menu entry on top of the side navigation
Comment 178 Julian Maurice 2018-02-06 16:46:50 UTC
Created attachment 71265 [details] [review]
Bug 11708: New page for basket groups

This patch moves the code responsible for displaying a list of basket
groups into its own Perl script (acqui/basketgroups.pl), making the code
in basketgroup.pl and basketgroup.tt a little bit easier to read.
basketgroups.pl displays all basket groups in a single table (as bug
13371 for vendors) where rows are grouped by bookseller.

In the process, this patch adds 4 new "Koha::Object" modules:
- Koha::Bookseller(s)
- Koha::Basket(s)
- Koha::Basketgroup(s)
- Koha::Order(s)

It also adds a wrapper around the new DataTable() constructor to be able
to use it with the same defaults than the previous dataTable()
constructor

Test plan:
0. Create a bunch of booksellers and basketgroups
1. Go back to acquisitions home page and click on "Basket groups" link
   on the left
2. Play with the table (sort, filter) and try every possible actions
   (Edit, Close and export as PDF, View, Reopen, Export as CSV)
3. Go to a specific vendor page and click on "Basket groups" tab
4. Check that only the vendor's basket groups are displayed
Comment 179 Julian Maurice 2018-02-06 16:46:56 UTC
Created attachment 71266 [details] [review]
Bug 11708: UT: Replace 'ok' by 'is' where appropriate
Comment 180 Julian Maurice 2018-02-06 16:47:02 UTC
Created attachment 71267 [details] [review]
Bug 11708: UT: Use DateTime instead of localtime+sprintf
Comment 181 Julian Maurice 2018-02-06 16:47:09 UTC
Created attachment 71268 [details] [review]
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace

and fix Koha::Acquisition::Order usage everywhere
Comment 182 Julian Maurice 2018-02-06 16:47:52 UTC
Patches rebased on master
Comment 183 Julian Maurice 2018-02-22 10:18:36 UTC
Created attachment 72069 [details] [review]
Bug 11708: Add aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: Use atomic update
Comment 184 Julian Maurice 2018-02-22 10:18:43 UTC
Created attachment 72070 [details] [review]
Bug 11708: Unit tests for aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Comment 185 Julian Maurice 2018-02-22 10:18:49 UTC
Created attachment 72071 [details] [review]
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers

This happens when no booksellerid is given.
This patch also adds 4 columns:
- No. of ordered titles
- No. of received titles
- Ordered amount
- Charged amount (amount of received orders)

Add filters to basketgroup tables columns
Show closed date in closed basketgroups tables

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Comment 186 Julian Maurice 2018-02-22 10:18:57 UTC
Created attachment 72072 [details] [review]
Bug 11708: Remove column aqbasketgroups.closed

It is redundant with aqbasketgroups.closeddate

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: use atomic update
Comment 187 Julian Maurice 2018-02-22 10:19:03 UTC
Created attachment 72073 [details] [review]
Bug 11708: Place "Basket groups" menu entry on top of the side navigation
Comment 188 Julian Maurice 2018-02-22 10:19:13 UTC
Created attachment 72074 [details] [review]
Bug 11708: New page for basket groups

This patch moves the code responsible for displaying a list of basket
groups into its own Perl script (acqui/basketgroups.pl), making the code
in basketgroup.pl and basketgroup.tt a little bit easier to read.
basketgroups.pl displays all basket groups in a single table (as bug
13371 for vendors) where rows are grouped by bookseller.

In the process, this patch adds 4 new "Koha::Object" modules:
- Koha::Bookseller(s)
- Koha::Basket(s)
- Koha::Basketgroup(s)
- Koha::Order(s)

It also adds a wrapper around the new DataTable() constructor to be able
to use it with the same defaults than the previous dataTable()
constructor

Test plan:
0. Create a bunch of booksellers and basketgroups
1. Go back to acquisitions home page and click on "Basket groups" link
   on the left
2. Play with the table (sort, filter) and try every possible actions
   (Edit, Close and export as PDF, View, Reopen, Export as CSV)
3. Go to a specific vendor page and click on "Basket groups" tab
4. Check that only the vendor's basket groups are displayed
Comment 189 Julian Maurice 2018-02-22 10:19:19 UTC
Created attachment 72075 [details] [review]
Bug 11708: UT: Replace 'ok' by 'is' where appropriate
Comment 190 Julian Maurice 2018-02-22 10:19:25 UTC
Created attachment 72076 [details] [review]
Bug 11708: UT: Use DateTime instead of localtime+sprintf
Comment 191 Julian Maurice 2018-02-22 10:19:32 UTC
Created attachment 72077 [details] [review]
Bug 11708: Move acq related Koha::Objects to Koha::Acquisition namespace

and fix Koha::Acquisition::Order usage everywhere
Comment 192 Séverine Queune 2018-03-12 13:37:32 UTC
TypeError: $(...).kohaDataTable is not a function
Comment 193 Julian Maurice 2018-03-12 14:14:51 UTC
Seen with Séverine, the error disappeared... Probably a browser cache problem
Comment 194 Séverine Queune 2018-03-12 14:28:04 UTC
Created attachment 72691 [details] [review]
Bug 11708: Add aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: Use atomic update

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 195 Séverine Queune 2018-03-12 14:28:42 UTC
Created attachment 72692 [details] [review]
Bug 11708: Unit tests for aqbasketgroups.closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 196 Séverine Queune 2018-03-12 14:28:51 UTC
Created attachment 72693 [details] [review]
Bug 11708: basketgroup.pl can now display basketgroups for all suppliers

This happens when no booksellerid is given.
This patch also adds 4 columns:
- No. of ordered titles
- No. of received titles
- Ordered amount
- Charged amount (amount of received orders)

Add filters to basketgroup tables columns
Show closed date in closed basketgroups tables

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 197 Séverine Queune 2018-03-12 14:28:58 UTC
Created attachment 72694 [details] [review]
Bug 11708: Remove column aqbasketgroups.closed

It is redundant with aqbasketgroups.closeddate

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Patch updated: use atomic update

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 198 Séverine Queune 2018-03-12 14:29:04 UTC
Created attachment 72695 [details] [review]
Bug 11708: Place "Basket groups" menu entry on top of the side navigation

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 199 Séverine Queune 2018-03-12 14:29:12 UTC
Created attachment 72696 [details] [review]
Bug 11708: New page for basket groups

This patch moves the code responsible for displaying a list of basket
groups into its own Perl script (acqui/basketgroups.pl), making the code
in basketgroup.pl and basketgroup.tt a little bit easier to read.
basketgroups.pl displays all basket groups in a single table (as bug
13371 for vendors) where rows are grouped by bookseller.

In the process, this patch adds 4 new "Koha::Object" modules:
- Koha::Bookseller(s)
- Koha::Basket(s)
- Koha::Basketgroup(s)
- Koha::Order(s)

It also adds a wrapper around the new DataTable() constructor to be able
to use it with the same defaults than the previous dataTable()
constructor

Test plan:
0. Create a bunch of booksellers and basketgroups
1. Go back to acquisitions home page and click on "Basket groups" link
   on the left
2. Play with the table (sort, filter) and try every possible actions
   (Edit, Close and export as PDF, View, Reopen, Export as CSV)
3. Go to a specific vendor page and click on "Basket groups" tab
4. Check that only the vendor's basket groups are displayed

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 200 Séverine Queune 2018-03-12 14:29:19 UTC Comment hidden (obsolete)
Comment 201 Séverine Queune 2018-03-12 14:29:27 UTC Comment hidden (obsolete)
Comment 202 Séverine Queune 2018-03-12 14:29:36 UTC Comment hidden (obsolete)
Comment 203 Séverine Queune 2018-03-12 14:54:27 UTC
Useful enhencement !
I create a new ticket to improve it more with a floating toolbar.
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=20373
Comment 204 Katrin Fischer 2018-04-16 06:09:41 UTC
Please rebase and check for changed needed!
Comment 205 Julian Maurice 2018-04-16 08:59:03 UTC Comment hidden (obsolete)
Comment 206 Julian Maurice 2018-04-16 08:59:12 UTC Comment hidden (obsolete)
Comment 207 Julian Maurice 2018-04-16 08:59:22 UTC Comment hidden (obsolete)
Comment 208 Julian Maurice 2018-04-16 08:59:36 UTC Comment hidden (obsolete)
Comment 209 Julian Maurice 2018-04-16 08:59:45 UTC Comment hidden (obsolete)
Comment 210 Julian Maurice 2018-04-16 08:59:55 UTC Comment hidden (obsolete)
Comment 211 Julian Maurice 2018-04-16 09:00:04 UTC Comment hidden (obsolete)
Comment 212 Julian Maurice 2018-04-16 09:00:14 UTC Comment hidden (obsolete)
Comment 213 Julian Maurice 2018-04-16 09:00:24 UTC Comment hidden (obsolete)
Comment 214 Julian Maurice 2018-04-16 09:00:32 UTC Comment hidden (obsolete)
Comment 215 Julian Maurice 2018-04-16 09:01:28 UTC
Patches rebased on master
Comment 216 Katrin Fischer 2018-04-16 20:33:17 UTC
Hi Julian, can you give it another go? I think your branch might have been missing the latest commits (bug 18791).


Apply? [(y)es, (n)o, (i)nteractive] y  
Applying: Bug 11708: Add aqbasketgroups.closeddate
Applying: Bug 11708: Unit tests for aqbasketgroups.closeddate
Applying: Bug 11708: basketgroup.pl can now display basketgroups for all suppliers
Applying: Bug 11708: Remove column aqbasketgroups.closed
Applying: Bug 11708: Place "Basket groups" menu entry on top of the side navigation
Applying: Bug 11708: New page for basket groups
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/includes/datatables.inc
M	koha-tmpl/intranet-tmpl/prog/js/datatables.js
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/js/datatables.js
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/js/datatables.js
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/datatables.inc
Failed to merge in the changes.
Patch failed at 0001 Bug 11708: New page for basket groups
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11708-New-page-for-basket-groups-pzWRYQ.patch
Comment 217 Julian Maurice 2018-04-17 07:42:09 UTC Comment hidden (obsolete)
Comment 218 Julian Maurice 2018-04-17 07:42:20 UTC Comment hidden (obsolete)
Comment 219 Julian Maurice 2018-04-17 07:42:29 UTC Comment hidden (obsolete)
Comment 220 Julian Maurice 2018-04-17 07:42:36 UTC Comment hidden (obsolete)
Comment 221 Julian Maurice 2018-04-17 07:42:46 UTC Comment hidden (obsolete)
Comment 222 Julian Maurice 2018-04-17 07:42:56 UTC Comment hidden (obsolete)
Comment 223 Julian Maurice 2018-04-17 07:43:04 UTC Comment hidden (obsolete)
Comment 224 Julian Maurice 2018-04-17 07:43:11 UTC Comment hidden (obsolete)
Comment 225 Julian Maurice 2018-04-17 07:43:20 UTC Comment hidden (obsolete)
Comment 226 Julian Maurice 2018-04-17 07:43:31 UTC Comment hidden (obsolete)
Comment 227 Julian Maurice 2018-04-17 14:51:07 UTC Comment hidden (obsolete)
Comment 228 Julian Maurice 2018-04-17 14:51:20 UTC Comment hidden (obsolete)
Comment 229 Julian Maurice 2018-04-17 14:51:28 UTC Comment hidden (obsolete)
Comment 230 Julian Maurice 2018-04-17 14:51:35 UTC Comment hidden (obsolete)
Comment 231 Julian Maurice 2018-04-17 14:51:42 UTC Comment hidden (obsolete)
Comment 232 Julian Maurice 2018-04-17 14:51:50 UTC Comment hidden (obsolete)
Comment 233 Julian Maurice 2018-04-17 14:51:58 UTC Comment hidden (obsolete)
Comment 234 Julian Maurice 2018-04-17 14:52:06 UTC Comment hidden (obsolete)
Comment 235 Julian Maurice 2018-04-17 14:52:14 UTC Comment hidden (obsolete)
Comment 236 Julian Maurice 2018-04-17 14:52:22 UTC Comment hidden (obsolete)
Comment 237 Katrin Fischer 2018-04-17 21:45:50 UTC
Sorry Julian, patches apply, but still some problems:

1) QA scripts

Lots of those:
 FAIL	Koha/Baskets.pm
   FAIL	  git manipulation
		The file has been added and deleted in the same patchset
Maybe see if you can squash some with the same sign-offer?

And:

 FAIL	t/db_dependent/Acquisition/close_reopen_basket.t
   OK	  critic
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  pod
   OK	  spelling
   FAIL	  valid
		Global symbol "$order1" requires explicit package name 
		Global symbol "$order2" requires explicit package name 
		t/db_dependent/Acquisition/close_reopen_basket.t had compilation errors.

 FAIL	t/db_dependent/Acquisition/Basketgroups.t
   OK	  critic
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  pod
   OK	  spelling
   FAIL	  valid
		"AddBookseller" is not exported by the C4::Bookseller module
		Can't continue after import errors 

2) Code review

a) Koha/Acquisition/Baskets.pm
-# Copyright 2017 Aleisha Amohia <aleisha@catalyst.net.nz>
-#
Why remove the Copyright statement? And POD?

b) Similar: Koha/Acquisition/Orders.pm

+            my $pdfformatfile = './' . ($pdfformat =~ s,::,/,gr) . '.pm';
+            require $pdfformatfile;
Seems to be an unrelated change? I remember that we hardcoded the valid template names once for added security. could only find one mention of it tho: bug 11459#c11

c) admin/currency.pl
+use Koha::Acquisition::Currency;
Unrelated change?

d) koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroups.tt
<th>Bookseller</th>
Should be vendor!

e) Generate EDIFACT Order
Capitalization: Generate EDIFACT order

f) Changes to koha-tmpl/intranet-tmpl/prog/js/datatables.js
Do you remember why those changes were needed or was it not intentional? Trying to figure out what needs to be tested with this patch and it turns out a lot of code is touched.

g) Merge atomicupdates?

3) Unit tests

prove t/db_dependent/Acquisition/Basketgroups.t
t/db_dependent/Acquisition/Basketgroups.t .. "AddBookseller" is not exported by the C4::Bookseller module
Can't continue after import errors at t/db_dependent/Acquisition/Basketgroups.t line 9.
BEGIN failed--compilation aborted at t/db_dependent/Acquisition/Basketgroups.t line 9.

prove t/db_dependent/Acquisition/close_reopen_basket.t
t/db_dependent/Acquisition/close_reopen_basket.t .. Global symbol "$order1" requires explicit package name at t/db_dependent/Acquisition/close_reopen_basket.t line 58.
Global symbol "$order2" requires explicit package name at t/db_dependent/Acquisition/close_reopen_basket.t line 68.
Execution of t/db_dependent/Acquisition/close_reopen_basket.t aborted due to compilation errors.
Comment 238 Julian Maurice 2018-05-03 11:22:10 UTC Comment hidden (obsolete)
Comment 239 Julian Maurice 2018-05-03 11:22:46 UTC Comment hidden (obsolete)
Comment 240 Julian Maurice 2018-05-03 11:37:04 UTC
Katrin, thanks for the review !

I did a bit of cleanup here : I squashed all patches into only two patches and removed all changes that were not related to (or needed by) this patchset. I think it will be easier to read.
QA script is happy now and I think I fixed every problem you mentioned in comment 237, except for the following:

> +            my $pdfformatfile = './' . ($pdfformat =~ s,::,/,gr) . '.pm';
> +            require $pdfformatfile;
> Seems to be an unrelated change? I remember that we hardcoded the valid template names once for added security. could only find one mention of it tho: bug 11459#c11
It's just part of the "basketgroup.pl cleanup" process. perlcritic complains when we use the eval "string" construct. It shouldn't change anything.

> f) Changes to koha-tmpl/intranet-tmpl/prog/js/datatables.js
> Do you remember why those changes were needed or was it not intentional? Trying to figure out what needs to be tested with this patch and it turns out a lot of code is touched.
I don't remember why exactly, but I needed to use the 1.10+ API of DataTables. These changes just map legacy API defaults to new API ones. This shouldn't change anything for code using the legacy API.
Comment 241 Séverine Queune 2018-05-24 12:37:06 UTC
I tried to test bug 20810 but this dependency doesn't apply :

Bug 11708 - Display all basketgroups on one page, and new column aqbasketgroups.closeddate

75003 - Bug 11708: Change aqbasketgroups.closed to closeddate
75004 - Bug 11708: New page for basket groups

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 11708: Change aqbasketgroups.closed to closeddate
Applying: Bug 11708: New page for basket groups
Using index info to reconstruct a base tree...
M	acqui/basketgroup.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt
Falling back to patching base and 3-way merge...
error: The following untracked working tree files would be overwritten by merge:
	Koha/Acquisition/Basketgroup.pm
	Koha/Acquisition/Basketgroups.pm
	acqui/basketgroups.pl
	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroups.tt
Please move or remove them before you can merge.
Aborting

Also failed on Biblibre's sandbox #11
Comment 242 Julian Maurice 2018-06-08 08:34:52 UTC
Created attachment 75908 [details] [review]
Bug 11708: Change aqbasketgroups.closed to closeddate

Signed-off-by: juliette levast <juliette.levast@iepg.fr>
Signed-off-by: Paola Rossi <paola.rossi@cineca.it>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 243 Julian Maurice 2018-06-08 08:35:03 UTC
Created attachment 75909 [details] [review]
Bug 11708: New page for basket groups

This patch moves the code responsible for displaying a list of basket
groups into its own Perl script (acqui/basketgroups.pl), making the code
in basketgroup.pl and basketgroup.tt a little bit easier to read.
basketgroups.pl displays all basket groups in a single table (as bug
13371 for vendors) where rows are grouped by bookseller.

This patch also adds 3 columns:
- No. of ordered titles
- No. of received titles
- Date closed

It also adds a wrapper around the new DataTable() constructor to be able
to use it with the same defaults than the previous dataTable()
constructor

Test plan:
0. Create a bunch of booksellers and basketgroups
1. Go back to acquisitions home page and click on "Basket groups" link
   on the left
2. Play with the table (sort, filter) and try every possible actions
   (Edit, Close and export as PDF, View, Reopen, Export as CSV)
3. Go to a specific vendor page and click on "Basket groups" tab
4. Check that only the vendor's basket groups are displayed

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 244 Julian Maurice 2018-06-08 08:35:50 UTC
Patches rebased on master
Comment 245 Jonathan Druart 2018-06-12 18:45:47 UTC
1. aqbasketgroups.closedate is set to NOW, maybe better to use basket.closedate (the latest)?

2. ->bookseller should be ->vendor (not blocker as we already have both in Koha::*...)

3. a. I would not "cache" ->baskets, we already deal with the context in Koha::Objects->search
b. ->baskets_count - no need to have it, it should be replaced with baskets->count
=> Maybe you want to keep them for performance purpose, but is it really a performance improvement?

5. basketgroup.tt has a [% IF booksellerid %], it should not be useful now.
We may want to display a friendly message if called without a [valid] id

6. basketgroups.tt should have JS at the bottom

7. Some links still point to basketgroup.pl?booksellerid=X without the basketgroupid, they should be replaced right?
i.e. code related to 'sub displaybasketgroups' in basketgroup.pl should be removed (?)

8. Are you sure you need the changes done to C4::Acquisition?

9. acqui/basketgroup.pl
+ use List::MoreUtils qw/uniq/;
=> Not needed

10. "kohaDataTable": We already have KohaTable. You are adding a 3rd way to init a table.